> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atlasmeets.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch gateway manifest

> Returns the discovery document Atlas uses to understand which actions your gateway exposes.



## OpenAPI

````yaml /openapi/gateway-v1.yaml get /v1/manifest
openapi: 3.1.0
info:
  title: Atlas Gateway Contract v1
  version: 1.0.0
  description: >
    The customer-owned gateway contract used by hosted Atlas to discover
    actions,

    invoke work, and monitor async jobs.
servers:
  - url: https://gateway.example.com
    description: Example customer gateway
security:
  - bearerAuth: []
tags:
  - name: Gateway
    description: Discovery and execution endpoints exposed by a customer gateway.
paths:
  /v1/manifest:
    get:
      tags:
        - Gateway
      summary: Fetch gateway manifest
      description: >-
        Returns the discovery document Atlas uses to understand which actions
        your gateway exposes.
      operationId: getManifest
      responses:
        '200':
          description: Manifest returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayManifest'
              examples:
                example:
                  value:
                    version: '2026-03-18'
                    gateway:
                      id: acme.gateway
                      name: Acme Gateway
                      url: https://gateway.example.com
                      auth:
                        type: bearer
                      capabilities:
                        asyncJobs: true
                        jobCallbacks: true
                        approvals: true
                    agent:
                      id: customer-research-agent
                      name: Customer Research Agent
                      description: Internal workflow layer exposed through the gateway.
                    actions:
                      - id: context.fetch_pricing
                        name: fetch_pricing_context
                        title: Fetch pricing context
                        description: Return a compact internal pricing summary.
                        executionMode: sync
                        inputSchema:
                          type: object
                          properties:
                            topic:
                              type: string
                          required:
                            - topic
                          additionalProperties: false
                        requiresApproval: false
                        sideEffectLevel: read
                        idempotent: true
                    callbacks:
                      jobResults: true
                      approvals: true
components:
  schemas:
    GatewayManifest:
      type: object
      additionalProperties: false
      required:
        - version
        - gateway
        - agent
        - actions
        - callbacks
      properties:
        version:
          type: string
        gateway:
          $ref: '#/components/schemas/GatewayMetadata'
        agent:
          $ref: '#/components/schemas/GatewayAgent'
        actions:
          type: array
          items:
            $ref: '#/components/schemas/GatewayAction'
        callbacks:
          $ref: '#/components/schemas/GatewayCallbacks'
    GatewayMetadata:
      type: object
      additionalProperties: false
      required:
        - id
        - name
        - url
      properties:
        id:
          type: string
        name:
          type: string
        url:
          type: string
          format: uri
        description:
          type: string
        auth:
          type: object
          additionalProperties: true
        capabilities:
          type: object
          additionalProperties: true
    GatewayAgent:
      type: object
      additionalProperties: false
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
    GatewayAction:
      type: object
      additionalProperties: false
      required:
        - name
        - description
      properties:
        id:
          type: string
        name:
          type: string
        title:
          type: string
        description:
          type: string
        executionMode:
          type: string
          enum:
            - sync
            - async
            - either
        inputSchema:
          type: object
          additionalProperties: true
        outputSchema:
          type: object
          additionalProperties: true
        outputDescription:
          type: string
        requiresApproval:
          type: boolean
        sideEffectLevel:
          type: string
          enum:
            - none
            - read
            - write
        idempotent:
          type: boolean
        timeoutMs:
          type: integer
        scopes:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
    GatewayCallbacks:
      type: object
      additionalProperties: false
      properties:
        jobResults:
          type: boolean
        approvals:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````